import 'package:flutter/material.dart';
import 'package:material_symbols_icons/material_symbols_icons.dart';

class AccountInfoScreen extends StatefulWidget {
  const AccountInfoScreen({super.key});

  @override
  State<AccountInfoScreen> createState() => _AccountInfoScreen();
}

class _AccountInfoScreen extends State<AccountInfoScreen>{
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        leading: IconButton(icon: const Icon(Symbols.arrow_back_ios_new),
          onPressed: () {
            Navigator.pop(context);
          },),
        title: const Text('Account Info', style: TextStyle(color: Colors.black,
            fontWeight: FontWeight.w500),),
        centerTitle: false,
        actions: const [
          Padding(
            padding: EdgeInsets.only(right: 10.0),
            child: CircleAvatar(
              backgroundImage: AssetImage('assets/images/avatar.jpg'), // Replace with your image
              radius: 20,
            ),
          ),
        ],
      ),

      body: ListView(
        padding: const EdgeInsets.all(16.0),
        children: const [
          InfoRow(title: 'Account Number', value: '700127638009871'),
          // InfoRow(title: 'Nominee Customer No', value: '700127638009871'),
          InfoRow(title: 'SMS Service', value: 'Active'),
          InfoRow(title: 'Missed Call Service', value: 'Active'),
          InfoRow(title: 'Customer Number', value: '9000875272000212'),
          InfoRow(title: 'Product Name', value: 'SAVINGS-PERSONAL'),
          InfoRow(title: 'Account Opening Date', value: '12-09-2012'),
          InfoRow(title: 'Account Status', value: 'OPEN'),
          InfoRow(title: 'Available Balance', value: '12,000 CR'),
          InfoRow(title: 'Interest Rate', value: '12.00'),
        ],
      ),
    );
  }
}

class InfoRow extends StatelessWidget {
  final String title;
  final String value;

  const InfoRow({required this.title, required this.value, super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 6.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(title,
              style: const TextStyle(
                  fontWeight: FontWeight.bold, fontSize: 14)),
          const SizedBox(height: 4),
          Text(value, style: const TextStyle(fontSize: 14)),
          const SizedBox(height: 10),
        ],
      ),
    );
  }
}