import 'package:flutter/material.dart';
import 'package:kmobile/utils/theme/color/color_scheme.dart';

class PreferencesProvider with ChangeNotifier {
  ThemeMode _themeMode = ThemeMode.light;
  ThemeMode get themeMode => _themeMode;
  set themeMode(ThemeMode currentMode) {
    _themeMode = currentMode;
    notifyListeners();
  }

  Map<ThemeMode, ColorScheme> _colorScheme = KMobileColorScheme.everforest;
  Map<ThemeMode, ColorScheme> get colorScheme => _colorScheme;
  set colorScheme(Map<ThemeMode, ColorScheme> currentColorScheme) {
    _colorScheme = currentColorScheme;
    notifyListeners();
  }

  Locale _locale = const Locale.fromSubtags(languageCode: 'en');
  Locale get locale => _locale;
  set locale(Locale currentLocale) {
    _locale = currentLocale;
    notifyListeners();
  }
}
