import 'package:flutter/material.dart';

class KMobileColorScheme {
  KMobileColorScheme._();

  static Map<ThemeMode, ColorScheme> everforest = {
    ThemeMode.light: ColorScheme.fromSeed(
      seedColor: const Color(0xFF008442),
      brightness: Brightness.light,
      primary: const Color(0xff2C6A45),
      onPrimary: const Color(0xffffffff),
      primaryContainer: const Color(0xffB0F1C3),
      onPrimaryContainer: const Color(0xFF00210F),
      secondary: const Color(0xFF4F6354),
      onSecondary: const Color(0xFFFFFFFF),
      error: const Color(0xFFBA1A1A),
      onError: const Color(0xFFFFFFFF),
      background: const Color(0xFFF6FBF3),
      onBackground: const Color(0xFF181D19),
      surface: const Color(0xFFF6FBF3),
      onSurface: const Color(0xFF181D19),
    ),
    ThemeMode.dark: ColorScheme.fromSeed(
      seedColor: const Color(0xFF008442),
      brightness: Brightness.dark,
      primary: const Color(0xff95D5A8),
      onPrimary: const Color(0xff00391E),
      primaryContainer: const Color(0xff0E512F),
      onPrimaryContainer: const Color(0xFFB0F1C3),
      secondary: const Color(0xFFB6CCB9),
      onSecondary: const Color(0xFF213527),
      error: const Color(0xFFFFB4AB),
      onError: const Color(0xFF690005),
      background: const Color(0xFF0F1511),
      onBackground: const Color(0xFFDFE4DD),
      surface: const Color(0xFF0F1511),
      onSurface: const Color(0xFFDFE4DD),
    ),
  };

  static Map<ThemeMode, ColorScheme> rosy = {
    ThemeMode.light: ColorScheme.fromSeed(
      seedColor: const Color.fromARGB(255, 132, 0, 66),
    ),
    ThemeMode.dark: ColorScheme.fromSeed(
        seedColor: const Color.fromARGB(255, 132, 0, 66),
        brightness: Brightness.dark),
  };

  static Map<ThemeMode, ColorScheme> skypeia = {
    ThemeMode.light: ColorScheme.fromSeed(
      seedColor: const Color.fromARGB(255, 0, 62, 132),
    ),
    ThemeMode.dark: ColorScheme.fromSeed(
        seedColor: const Color.fromARGB(255, 0, 62, 132),
        brightness: Brightness.dark),
  };

  static Map<ThemeMode, ColorScheme> marigold = {
    ThemeMode.light: ColorScheme.fromSeed(
      seedColor: const Color.fromARGB(255, 123, 132, 0),
    ),
    ThemeMode.dark: ColorScheme.fromSeed(
        seedColor: const Color.fromARGB(255, 123, 132, 0),
        brightness: Brightness.dark),
  };
}
